Loading...
Searching...
No Matches
mce::VirtualFileSystem::Version Union Reference

Version information for the virtual file system format. More...

`#include <VirtualFileSystem.hpp>`

## Static Public Member Functions

static Version | makeVersion (unsigned char major, unsigned char minor, unsigned char patch)
| Create a Version from components.

## Public Attributes

struct { |
unsigned char major |
unsigned char minor |
unsigned char patch |
}; |
unsigned int | quad

## Detailed Description

Version information for the virtual file system format.

The Version is a small union allowing access either to individual components or as a 32-bit quad value.

## Member Function Documentation

## makeVersion()

VirtualFileSystem::Version mce::VirtualFileSystem::Version::makeVersion | ( | unsigned char | major,
|  | unsigned char | minor,
|  | unsigned char | patch )

static

Create a Version from components.

Parameters

  major | Major version.
  minor | Minor version.
  patch | Patch version.

## Member Data Documentation

## patch

unsigned char mce::VirtualFileSystem::Version::patch

Version components.

## quad

unsigned int mce::VirtualFileSystem::Version::quad

Packed 32-bit representation of the version.

The documentation for this union was generated from the following files:

- IO/VirtualFileSystem.hpp
- IO/VirtualFileSystem.cpp